searchNodes=[{"ref":"Waffle.Ecto.html","title":"Waffle.Ecto","type":"module","doc":"Waffle.Ecto provides an integration with Waffle and Ecto. Waffle attachments should be stored in a string column, with a name indicative of the attachment. create table :users do add :avatar, :string end How to add waffle_ecto to your project add Schema to the model configure Definition for uploader"},{"ref":"Waffle.Ecto.html#t:t/0","title":"Waffle.Ecto.t/0","type":"type","doc":""},{"ref":"Waffle.Ecto.Definition.html","title":"Waffle.Ecto.Definition","type":"module","doc":"Provides a set of functions to ease integration with Waffle and Ecto. In particular: Definition of a custom Ecto Type responsible for storing the images URL generation with a cache-busting timestamp query parameter Example defmodule MyApp.Uploaders.AvatarUploader do use Waffle.Definition use Waffle.Ecto.Definition # ... end end URL generation Both public and signed urls will include the timestamp for cache busting, and are retrieved the exact same way as using Waffle directly. user = Repo.get(User, 1) # To receive a single rendition: MyApp.Uploaders.AvatarUploader.url({user.avatar, user}, :thumb) #=&gt; &quot;https://bucket.s3.amazonaws.com/uploads/avatars/1/thumb.png?v=63601457477&quot; # To receive all renditions: MyApp.Uploaders.AvatarUploader.urls({user.avatar, user}) #=&gt; %{original: &quot;https://.../original.png?v=1234&quot;, thumb: &quot;https://.../thumb.png?v=1234&quot;} # To receive a signed url: MyApp.Uploaders.AvatarUploader.url({user.avatar, user}, signed: true) MyApp.Uploaders.AvatarUploader.url({user.avatar, user}, :thumb, signed: true)"},{"ref":"Waffle.Ecto.Schema.html","title":"Waffle.Ecto.Schema","type":"module","doc":"Defines helpers to work with changeset. Add a using statement use Waffle.Ecto.Schema to the top of your ecto schema, and specify the type of the column in your schema as MyApp.Avatar.Type. Attachments can subsequently be passed to Waffle&#39;s storage though a Changeset cast_attachments/3 function, following the syntax of cast/3. Example defmodule MyApp.User do use MyApp.Web, :model use Waffle.Ecto.Schema schema &quot;users&quot; do field :name, :string field :avatar, MyApp.Uploaders.AvatarUploader.Type end def changeset(user, params \\\\ :invalid) do user |&gt; cast(params, [:name]) |&gt; cast_attachments(params, [:avatar]) |&gt; validate_required([:name, :avatar]) end end"},{"ref":"Waffle.Ecto.Schema.html#cast_attachments/4","title":"Waffle.Ecto.Schema.cast_attachments/4","type":"macro","doc":""},{"ref":"Waffle.Ecto.Schema.html#check_and_apply_scope/3","title":"Waffle.Ecto.Schema.check_and_apply_scope/3","type":"function","doc":""},{"ref":"Waffle.Ecto.Schema.html#convert_params_to_binary/1","title":"Waffle.Ecto.Schema.convert_params_to_binary/1","type":"function","doc":""},{"ref":"Waffle.Ecto.Schema.html#do_apply_changes/1","title":"Waffle.Ecto.Schema.do_apply_changes/1","type":"function","doc":""},{"ref":"Waffle.Ecto.Type.html","title":"Waffle.Ecto.Type","type":"module","doc":"Provides implementation for custom Ecto.Type behaviour."},{"ref":"Waffle.Ecto.Type.html#cast/2","title":"Waffle.Ecto.Type.cast/2","type":"function","doc":""},{"ref":"Waffle.Ecto.Type.html#dump/2","title":"Waffle.Ecto.Type.dump/2","type":"function","doc":""},{"ref":"Waffle.Ecto.Type.html#load/2","title":"Waffle.Ecto.Type.load/2","type":"function","doc":""},{"ref":"Waffle.Ecto.Type.html#type/0","title":"Waffle.Ecto.Type.type/0","type":"function","doc":""}]